Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class ForwardingMultiset.StandardElementSet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              com.google.common.collect.ForwardingMultiset.StandardElementSet

All Implemented Interfaces:
  Iterable<E>, Collection<E>, Set<E>

Enclosing class:
  ForwardingMultiset<E>

    @Beta
    protected class ForwardingMultiset.StandardElementSet

extends AbstractSet<E>

A sensible implementation of `Multiset.elementSet()` in terms of the following methods: `ForwardingCollection.clear()`, `ForwardingCollection.contains(java.lang.Object)`, `ForwardingCollection.containsAll(java.util.Collection)`, `ForwardingMultiset.count(java.lang.Object)`, `ForwardingCollection.isEmpty()`, the `Set.size()` and `Set.iterator()` methods of `ForwardingMultiset.entrySet()`, and `ForwardingMultiset.remove(Object, int)`. In many situations, you may wish to override `ForwardingMultiset.elementSet()` to forward to this implementation or a subclass thereof.

Since:
  10.0

Constructor Summary
`ForwardingMultiset.StandardElementSet()`

Method Summary
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection<?> c)`
`boolean` | `isEmpty()`
`Iterator<E>` | `iterator()`
`boolean` | `remove(Object o)`
`int` | `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, retainAll, toArray, toArray`

Constructor Detail

### ForwardingMultiset.StandardElementSet

    public ForwardingMultiset.StandardElementSet()

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<E>`
  Specified by:
    `clear` in interface `Set<E>`
  Overrides:
    `clear` in class `AbstractCollection<E>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<E>`
  Specified by:
    `contains` in interface `Set<E>`
  Overrides:
    `contains` in class `AbstractCollection<E>`

### containsAll

    public boolean containsAll(Collection<?> c)

  Specified by:
    `containsAll` in interface `Collection<E>`
  Specified by:
    `containsAll` in interface `Set<E>`
  Overrides:
    `containsAll` in class `AbstractCollection<E>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<E>`
  Specified by:
    `isEmpty` in interface `Set<E>`
  Overrides:
    `isEmpty` in class `AbstractCollection<E>`

### iterator

    public Iterator<E> iterator()

  Specified by:
    `iterator` in interface `Iterable<E>`
  Specified by:
    `iterator` in interface `Collection<E>`
  Specified by:
    `iterator` in interface `Set<E>`
  Specified by:
    `iterator` in class `AbstractCollection<E>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<E>`
  Specified by:
    `remove` in interface `Set<E>`
  Overrides:
    `remove` in class `AbstractCollection<E>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<E>`
  Specified by:
    `size` in interface `Set<E>`
  Specified by:
    `size` in class `AbstractCollection<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.